Page MenuHomeFreeBSD

emulators/higan: Update to 103
ClosedPublic

Authored by ultima on Aug 6 2017, 2:50 AM.

Details

Summary
  • Updated to 103
  • Moved OPTIONS_DEFAULT to better follow PHB

Changes: https://byuu.org/

PR\: 221136
Submitted by\: Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: Consider defining LICENSE.
0 fatal errors and 3 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ultima created this revision.Aug 6 2017, 2:50 AM
ultima updated this revision to Diff 31647.Aug 6 2017, 7:52 AM
  • Moved OPTIONS_DEFAULT to follow PHB
ultima edited the summary of this revision. (Show Details)Aug 6 2017, 7:52 AM
mat added a comment.Aug 7 2017, 12:33 PM

(For the changelog: thing, there is a Changes: line in the commit template that you should use.)

ultima added a comment.Aug 7 2017, 6:16 PM
In D11891#246943, @mat wrote:

(For the changelog: thing, there is a Changes: line in the commit template that you should use.)

I don't recall seeing this, will change to Changes:

ultima edited the summary of this revision. (Show Details)Aug 7 2017, 6:16 PM
mat added a comment.Aug 7 2017, 8:31 PM
In D11891#246943, @mat wrote:

(For the changelog: thing, there is a Changes: line in the commit template that you should use.)

I don't recall seeing this, will change to Changes:

Oh, sorry, you are right, it is only in the log-police.py cleanup hook. Maybe it should be added to subversion.

In D11891#247101, @mat wrote:
In D11891#246943, @mat wrote:

(For the changelog: thing, there is a Changes: line in the commit template that you should use.)

I don't recall seeing this, will change to Changes:

Oh, sorry, you are right, it is only in the log-police.py cleanup hook. Maybe it should be added to subversion.

Ah now I understand. Nikolai once mentioned relnotes to me for changelog, he must have mistook it for Changes. Getting this added would be great!

This revision is now accepted and ready to land.Aug 9 2017, 6:09 AM
This revision was automatically updated to reflect the committed changes.